.use_cookies_wrap,
.use_cookies_setting_wrap {
    display: -webkit-inline-flex;
    display: inline-flex;
    -webkit-justify-content: center;
    justify-content: center;
    position: fixed;
    bottom: 0.5rem;
    left: 0;
    right: 0;
    max-height: 80vh;
    transform: translateY(150%) scale(0);
    -webkit-transition: all .5s linear;
    transition: all .5s linear;
    z-index: 10010;
}

.use_cookies_wrap.show,
.use_cookies_setting_wrap.show {
    transform: translateY(0) scale(1);
}

.use_cookies_container {
    display: -webkit-inline-flex;
    display: inline-flex;
    -webkit-flex-direction: column;
    flex-direction: column;
    gap: 1rem;
    max-width: 800px;
    max-height: 100%;
    font-size: 1rem;
    padding: 20px;
    background-color: rgb(255, 255, 255);
    border-radius: 1rem;
    -webkit-box-shadow: 0 5px 10px 3px rgba(0, 0, 0, 0.20);
    box-shadow: 0 5px 10px 3px rgba(0, 0, 0, 0.20);
    overflow-y: auto;
}

.use_cookies_title {
    font-size: 1.5em;
    font-weight: 600;
}

.use_cookies_text {
    font-size: inherit;
    line-height: inherit;
    color: inherit;
}

.use_cookies_text a {
    color: #0d6efd;
    -webkit-transition: all .3s linear;
    transition: all .3s linear;
}

.use_cookies_text a:hover {
    color: var(--theme-skit-color);
}

.use_cookies_buttons {
    display: -webkit-flex;
    display: flex;
    -webkit-flex-wrap: wrap;
    flex-wrap: wrap;
    gap: 1rem;
    margin-top: 1rem;
}

.use_cookies_button {
    display: -webkit-flex;
    display: flex;
    -webkit-align-items: center;
    align-items: center;
    -webkit-justify-content: center;
    justify-content: center;
    flex: 1 0 0;
    font-size: inherit;
    line-height: 1;
    white-space: nowrap;
    color: #fff;
    padding: 1rem 1.5rem;
    background: #333;
    border-radius: 0.5rem;
    cursor: pointer;
    -webkit-transition: all .3s linear;
    transition: all .3s linear;
}

.use_cookies_button:hover {
    transform: scale(1.05);
}

.use_cookies_button.button_green {
    background: #00b8a9;
}

.use_cookies_button.button_red {
    background: #ff2400;
}

.use_cookies_button.button_blue {
    background: #61b3ff;
}

/*use_cookies_form*/
.use_cookies_form {
    display: -webkit-inline-flex;
    display: inline-flex;
    -webkit-flex-direction: column;
    flex-direction: column;
    gap: 0.5rem;
}

.use_cookies_form_item {
    padding: 1rem;
    border-radius: 1rem;
    border: 1px solid #ccc;
}

.use_cookies_form .form-check {
    display: -webkit-flex;
    display: flex;
    -webkit-align-items: center;
    align-items: center;
    gap: 0.5rem;
}

.use_cookies_form .form-check .form-check-label {
    font-size: 1em;
    font-weight: 600;
}

.use_cookies_form .form-check-input[readonly] {
    pointer-events: none;
}

.use_cookies_form_desc {
    font-size: 0.8em;
}

@media all and (max-width: 991px){
    .use_cookies_container {
        gap: 0.5rem;
        padding: 16px;
    }

    .use_cookies_buttons {
        gap: 0.5rem;
        margin-top: 0;
    }

    .use_cookies_button {
        padding: 0.75rem;
    }
}